Index: npl/internetserver/libreswan_conf/libreswan_conf.build
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6556
Index: npl/internetserver/libreswan_conf/libreswan_conf.md5
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,9 +1,9 @@
-4d48ba9ca2bafc2d8c6cad067cc10f96  ./libreswan_conf.pkg
+c5defc086bf6a5e4ed2ed3fbc0bef6b8  ./libreswan_conf.pkg
 42016730303eef15aafe66cc3d793c8b  ./libreswan_conf.SlackBuild
-dc356298edb5594410a30833681746dc  ./libreswan_conf.SlackBuild.log.gz
-84184b6c712f668b04ef8edb785c01a1  ./root/etc/ipsec.conf
+54ed40f65156865bd1297c747d60fc9f  ./libreswan_conf.SlackBuild.log.gz
+81fe5cddee2633f9371fa91868feb6c7  ./root/etc/ipsec.conf
 53d9d2008956917a02c0c670100165f6  ./root/etc/ipsec.secrets
 f0188fc8f667dc97590f885fd1adfc7d  ./root/etc/pam.d/pluto
-1a5e15db17d1250abb2596361383d0d1  ./root/etc/postinst.d/post.libreswan
+c72a5d7a716724e4f8a2e4f28421f0ae  ./root/etc/postinst.d/post.libreswan
 60ae7c5340247d26161043df4e361722  ./root/home/system/ipsec.d/policies/block
 9e6cbaea66c6f14c9f8e7a6e6b4d720e  ./root/home/system/ipsec.d/policies/clear
@@ -13,5 +13,4 @@
 68b329da9893e34099c7d8ad5cb9c940  ./root/home/system/ipsec.d/tunnels/dummy.conf
 87a28e77aef254bdb8259f4388b40d45  ./root/sbin/syn3-ipseccheck
-a33b03980a28bb1ca9089298f0db1bcf  ./root/sbin/syn3-ipsecpubkey
 9d6f0923366b4e95a8a9fcd85dcaaf56  ./root/service/ipsec/run
 e458545ffca980b0a2d4d8106680f4b0  ./root/service/ipsec/start
Index: npl/internetserver/libreswan_conf/root/etc/ipsec.conf
===================================================================
--- npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -6,8 +6,10 @@
 # basic configuration
 config setup
+        nat_traversal=yes
         #plutoopts="--disable_port_floating"
         virtual_private=%v4:10.0.0.0/8,%v4:192.168.0.0/16,%v4:172.16.0.0/12
+	oe=off
         # which IPsec stack to use. netkey,klips,mast,auto or none
-        protostack=netkey
+	protostack=netkey
 
 conn %default
@@ -15,9 +17,5 @@
         dpddelay=30
         dpdtimeout=120
-        ikev2=never
 
-        #stay compatible with some propiertary modems that have trouble rekeying earlier. (packetloss)
-        ikelifetime=24h
-        salifetime=24h
-        
 include /etc/ipsec.d/tunnels/*.conf
+
Index: npl/internetserver/libreswan_conf/root/etc/postinst.d/post.libreswan
===================================================================
--- npl/internetserver/libreswan_conf/root/etc/postinst.d/post.libreswan	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/libreswan_conf/root/etc/postinst.d/post.libreswan	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -9,11 +9,11 @@
 
 
-if ! syn3-ipsecpubkey; then
-    #obsolete
-    rm /etc/ipsec.d/ipsec.pub 2>/dev/null
-
+KEY=/etc/ipsec.d/ipsec.pub
+if ! egrep '(ckaid|CKA_ID)' $KEY >/dev/null; then
+    rm $KEY 2>/dev/null
     echo Generating ipsec key
-    ipsec newhostkey --bits 2192 || exit 1
-    syn3-ipsecpubkey || exit 1
+    ipsec newhostkey --bits 2192 --output $KEY || exit 1
+    #previous command can fail without proper exit code, so check it:
+    egrep '(ckaid|CKA_ID)' $KEY >/dev/null || exit 1
 fi
 depmod -a
Index: npl/internetserver/libreswan_conf/root/sbin/syn3-ipsecpubkey
===================================================================
--- npl/internetserver/libreswan_conf/root/sbin/syn3-ipsecpubkey	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,6 +1,0 @@
-#!/bin/bash -e
-
-CKAID=`ipsec showhostkey --list |tail -n1 |sed 's/.* //'` 
-[ "$CKAID" ] || exit 1
-ipsec showhostkey --ckaid $CKAID --left |grep leftrsasigkey= | sed 's/.*leftrsasigkey=//'
-
